<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>DataTreeBean.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper.server</a> &gt; <span class="el_source">DataTreeBean.java</span></div><h1>DataTreeBean.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.zookeeper.server;

import org.apache.zookeeper.jmx.ZKMBeanInfo;

/**
 * This class implements the data tree MBean.
 */
public class DataTreeBean implements DataTreeMXBean, ZKMBeanInfo {
    DataTree dataTree;
    
<span class="fc" id="L29">    public DataTreeBean(org.apache.zookeeper.server.DataTree dataTree){</span>
<span class="fc" id="L30">        this.dataTree = dataTree;</span>
<span class="fc" id="L31">    }</span>
    
    public int getNodeCount() {
<span class="nc" id="L34">        return dataTree.getNodeCount();</span>
    }

    public long approximateDataSize() {
<span class="nc" id="L38">        return dataTree.approximateDataSize();</span>
    }

    public int countEphemerals() {
<span class="nc" id="L42">        return dataTree.getEphemeralsCount();</span>
    }

    public int getWatchCount() {
<span class="nc" id="L46">        return dataTree.getWatchCount();</span>
    }

    public String getName() {
<span class="fc" id="L50">        return &quot;InMemoryDataTree&quot;;</span>
    }

    public boolean isHidden() {
<span class="fc" id="L54">        return false;</span>
    }

    public String getLastZxid() {
<span class="nc" id="L58">        return &quot;0x&quot; + Long.toHexString(dataTree.lastProcessedZxid);</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>